View Issue Details

IDProjectCategoryView StatusLast Update
06167Development Survey Designpublic2013-03-17 23:58
Reporterkrefik Assigned Toc_schmitz  
PrioritynormalSeveritytweak 
Status closedResolutionfixed 
Product Version1.92RC2 
Target Version2.05Fixed in Version2.05 
Summary06167: Change surveyls_url field to text or change length
Description

While projecting quite big survey, I needed to pass many variables through {ENDURL}, and problem is, that field have maximum of 255 characters. Meanwhile, in MSIE it could by 2048 characters, and in other browsers much, much more. It'd be nice to change <input type="text"> for surveyls_url to <textarea> and field in database to either text or longer varchar.

TagsNo tags attached.

Activities

c_schmitz

c_schmitz

2013-03-17 23:10

administrator   ~24734

Fix committed to 2.05 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&amp;id=11929

c_schmitz

c_schmitz

2013-03-17 23:21

administrator   ~24735

Fix committed to 2.05 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&amp;id=11930

Related Changesets

LimeSurvey: 2.05 775c4573

2013-03-17 22:09:48

c_schmitz

Details Diff
Fixed issue 06167: Change surveyls_url field to text or change length Affected Issues
06167
mod - application/helpers/update/updatedb_helper.php Diff File
mod - installer/sql/create-mssql.sql Diff File
mod - installer/sql/create-mysql.sql Diff File
mod - installer/sql/create-pgsql.sql Diff File

LimeSurvey: 2.05 e8a9d560

2013-03-17 22:21:33

c_schmitz

Details Diff
Fixed issue 06167: Change surveyls_url field to text or change length Affected Issues
06167
mod - application/views/admin/survey/editLocalSettings_view.php Diff File

Issue History

Date Modified Username Field Change
2012-06-04 14:27 krefik New Issue
2012-08-14 23:13 c_schmitz Assigned To => c_schmitz
2012-08-14 23:13 c_schmitz Status new => assigned
2012-08-14 23:14 c_schmitz Target Version => 2.1
2013-03-17 23:07 c_schmitz Fixed in Version => 2.05
2013-03-17 23:07 c_schmitz Target Version 2.1 => 2.05
2013-03-17 23:07 c_schmitz Status assigned => resolved
2013-03-17 23:07 c_schmitz Resolution open => fixed
2013-03-17 23:10 c_schmitz Changeset attached => LimeSurvey 2.05 775c4573
2013-03-17 23:10 c_schmitz Note Added: 24734
2013-03-17 23:21 c_schmitz Changeset attached => LimeSurvey 2.05 e8a9d560
2013-03-17 23:21 c_schmitz Note Added: 24735
2013-03-17 23:58 c_schmitz Status resolved => closed